import { EasingType, assertValidVersion } from "@tsparticles/engine";
export async function loadEasingQuartPlugin(engine, refresh = true) {
    assertValidVersion(engine, "3.7.1");
    await engine.addEasing(EasingType.easeInQuart, value => value ** 4, false);
    await engine.addEasing(EasingType.easeOutQuart, value => 1 - (1 - value) ** 4, false);
    await engine.addEasing(EasingType.easeInOutQuart, value => (value < 0.5 ? 8 * value ** 4 : 1 - (-2 * value + 2) ** 4 / 2), false);
    await engine.refresh(refresh);
}
