"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadEasingQuartPlugin = loadEasingQuartPlugin;
const engine_1 = require("@tsparticles/engine");
async function loadEasingQuartPlugin(engine, refresh = true) {
    (0, engine_1.assertValidVersion)(engine, "3.7.1");
    await engine.addEasing(engine_1.EasingType.easeInQuart, value => value ** 4, false);
    await engine.addEasing(engine_1.EasingType.easeOutQuart, value => 1 - (1 - value) ** 4, false);
    await engine.addEasing(engine_1.EasingType.easeInOutQuart, value => (value < 0.5 ? 8 * value ** 4 : 1 - (-2 * value + 2) ** 4 / 2), false);
    await engine.refresh(refresh);
}
